14 days ago - AndrewT - Direct link
I'm afraid the game is unsupported on any Intel video system under Linux:

Graphics: OpenGL 4.5 (GeForce 600/AMD Radeon 7700 or higher) with 1GB of video RAM

I guess make sure your Intel driver is up to date, and I think Mesa are up to 22.x now.

If those don't help, please seek a refund from where you bought the game.

Sorry for the bad news!